Bug 155948 - exp-run request for lang/mono and friends
exp-run request for lang/mono and friends
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Romain Tartière
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-26 11:20 UTC by Romain Tartière
Modified: 2011-06-12 20:13 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Romain Tartière freebsd_committer 2011-03-26 11:20:09 UTC
I would like to request an exp-run before committing Mono 2.10.1 into
the tree.  The patch updates ~30 ports, marks multimedia/moonlight as
BROKEN and multimedia/banshee as IGNORE (it is unstable and old Banshee
does not compile with the new version of mono).

Fix: 

The patch is not sexy to avoid conflicts w/ VCS keywords.  I can update
it easily in case it does not apply anymore:
http://people.freebsd.org/~romain/mono-2.10.1.diff

'patch -up0 --quiet' was happy with it on a fresh ports tree this
morning (CET).
Comment 1 Edwin Groothuis freebsd_committer 2011-03-26 11:20:25 UTC
Class Changed
From-To: maintainer-update->change-request

Fix category (submitter is not maintainer) (via the GNATS Auto Assign 
Tool)
Comment 2 Edwin Groothuis freebsd_committer 2011-03-26 11:20:30 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mono

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 3 Romain Tartière freebsd_committer 2011-03-26 11:21:59 UTC
Responsible Changed
From-To: mono->portmgr

Assign to someone who can run exp-runs.
Comment 4 pav freebsd_committer 2011-03-28 22:53:24 UTC
Responsible Changed
From-To: portmgr->pav

Take for exp-run
Comment 6 Romain Tartière freebsd_committer 2011-04-02 13:33:01 UTC
Here is a new patch:
http://people.freebsd.org/~romain/mono-2.10.1_2.diff

  - An new version of boo is available, but monodevelop-boo fails to
    build against it, so it is now marked as BROKEN;

  - The pkg-plist of db4o has been adjusted.  I'll mail the maintainer
    to suggest an update to a much more recent version.

  - I could not reproduce the GTK# error and guess this might be a
    transient error.

Can you please give the new patch a try?

Thanks!
Comment 7 Romain Tartière freebsd_committer 2011-04-03 16:43:53 UTC
Responsible Changed
From-To: romain->portmgr

Asseign back to portmgr.
Comment 8 pav freebsd_committer 2011-04-03 20:27:04 UTC
Responsible Changed
From-To: portmgr->pav

Take for exp-run
Comment 10 Romain Tartière freebsd_committer 2011-04-07 14:26:53 UTC
Responsible Changed
From-To: romain->portmgr

Ready for round #3 :-) 

http://people.freebsd.org/~romain/mono-2.10.1_3.diff 

smuxi marked as BROKEN (signaled upstream); 
cdcollect patched; 
pdfmod updated; 

Thanks!
Comment 11 pav freebsd_committer 2011-04-13 09:18:15 UTC
Responsible Changed
From-To: portmgr->pav

Take for an exp-run
Comment 12 pav freebsd_committer 2011-04-18 10:17:36 UTC
Responsible Changed
From-To: pav->romain

mono itself failed 

http://pointyhat.freebsd.org/errorlogs/amd64-errorlogs/e.8-exp.20110413084714/mono-2.10.1.log
Comment 13 Romain Tartière freebsd_committer 2011-05-03 11:09:40 UTC
Responsible Changed
From-To: romain->portmgr

The mono failure might be transient (did not crashed for the 2 previous 
exp-runs, never saw this error on my system).  BTW in the meantime mono-2.10.2 
and banshee-2.0 where released so I updated the patches accordingly.  While 
Banshee crashes after a while (and is  markedBROKEN), I added a shar for Banshee 
dependencies. 

http://people.freebsd.org/~romain/mono-2.10.2.diff 
http://people.freebsd.org/~romain/mono-2.10.2.shar 

Thanks!
Comment 14 pav freebsd_committer 2011-05-11 08:24:50 UTC
Responsible Changed
From-To: portmgr->pav

Take for exp-run
Comment 15 pav freebsd_committer 2011-05-12 21:49:45 UTC
Responsible Changed
From-To: pav->romain

http://pointyhat.FreeBSD.org/errorlogs/amd64-errorlogs/a.8-exp.20110511080910/hyena-0.5.log
Comment 16 Romain Tartière freebsd_committer 2011-06-11 20:28:27 UTC
Responsible Changed
From-To: romain->portmgr

I finally got the time to check the failure.  It happends that I simply forgot 
to check this port and it's only dependency was also failing.  Just to be sure: 
the last Exp-run had a single failing port (devel/hyena) and all ports 
depending on this one where not tested, all the rest was Okay ?  Or was the run 
aborted when the failure occured ? 

In other word, now that the failing port and it's dependency are Okay, can I 
commit everything or should we better do another exp-run? 

Thanks!
Comment 17 Romain Tartière freebsd_committer 2011-06-11 21:17:52 UTC
In case another exp run worth it, here are the updated diff for ports
updates and the shar for new ports:
http://people.freebsd.org/~romain/mono-2.10.2_1.diff
http://people.freebsd.org/~romain/mono-2.10.2_1.shar

I added updates for deskutils/tomboy, multimedia/banshee (still BROKEN)
and mail/gmime24 (which may affect 7 ports according to freshports [1])

Romain

References:
  1. http://www.freshports.org/search.php?stype=depends_all&method=match&query=mail/gmime24

-- 
Romain Tartière <romain@FreeBSD.org>  http://people.FreeBSD.org/~romain/
pgp: 8234 9A78 E7C0 B807 0B59  80FF BA4D 1D95 5112 336F (ID: 0x5112336F)
(plain text =non-HTML= PGP/GPG encrypted/signed e-mail much appreciated)
Comment 18 pav freebsd_committer 2011-06-12 19:20:19 UTC
Responsible Changed
From-To: portmgr->romain

Was not aborted, indeed all other ports were tested. 

I think it's ok to commit
Comment 19 dfilter freebsd_committer 2011-06-12 20:06:34 UTC
romain      2011-06-12 19:06:26 UTC

  FreeBSD ports repository

  Modified files:
    databases/db4o-mono  pkg-plist 
    deskutils/tomboy     Makefile distinfo pkg-plist 
    devel/flickrnet      Makefile distinfo 
    devel/google-gdata   distinfo 
    devel/hyena          Makefile distinfo 
    devel/log4net        distinfo 
    devel/mono-addins    Makefile distinfo pkg-plist 
    devel/mono-tools     Makefile distinfo pkg-plist 
    devel/monodevelop    Makefile distinfo pkg-plist 
    devel/monodevelop-boo Makefile distinfo 
    devel/monodevelop-database distinfo 
    devel/monodevelop-java distinfo 
    devel/monodevelop-vala distinfo 
    devel/nini           distinfo 
    graphics/f-spot      Makefile distinfo pkg-plist 
    irc/smuxi            Makefile 
    lang/boo             Makefile distinfo pkg-plist 
    lang/boo/files       patch-default.build 
    lang/mono            Makefile distinfo pkg-plist 
    lang/mono-basic      Makefile distinfo pkg-plist 
    mail/gmime24         Makefile distinfo pkg-plist 
    misc/cdcollect       Makefile 
    multimedia/banshee   Makefile distinfo pkg-plist 
    multimedia/banshee/files 
                             patch-src_Libraries_MusicBrainz_MusicBrainz_LocalDisc.cs 
    multimedia/moonlight Makefile distinfo 
    print/pdfmod         Makefile distinfo pkg-plist 
    security/gnome-keyring-sharp distinfo 
    www/mod_mono         Makefile distinfo 
    www/xsp              Makefile distinfo pkg-plist 
    x11-toolkits/gnome-desktop-sharp20 distinfo 
    x11-toolkits/gnome-sharp20 Makefile distinfo 
    x11-toolkits/gtk-sharp20 distinfo 
    x11-toolkits/gtksourceview-sharp distinfo 
    x11-toolkits/libgdiplus Makefile distinfo 
  Added files:
    graphics/f-spot/files 
                          patch-src_Clients_MainApp_FSpot.Loaders_GdkImageLoader.cs 
    lang/mono/files      patch-mono_metadata_sgen-gc.c 
    lang/mono-basic/files patch-vbnc_vbnc_Makefile 
                          patch-vbnc_vbnc_setversion.sh 
    misc/cdcollect/files patch-src_DBsql.cs 
    print/pdfmod/files   
                         patch-lib_poppler-sharp_poppler-sharp_poppler-sharp.dll.config 
                         patch-src_PdfMod_Gui_DocumentIconView.cs 
  Removed files:
    devel/hyena/files    patch-configure.ac 
    lang/boo/files       patch-aa 
    lang/mono/files      patch-libgc_pthread__support.c 
                         patch-mono_utils_mono-sigcontext.h 
    lang/mono-basic/files patch-vbruntime_Test_Makefile 
    multimedia/banshee/files 
                             patch-libbanshee_banshee-player-pipeline.c 
                             patch-src_Extensions_Banshee.YouTube_Banshee.YouTube.Gui_YouTubeTile.cs 
  Log:
  Hello Mono 2.10!
  
  Main updates
  ------------
  devel/mono-tools                2.6.2 -> 2.10
  lang/mono                       2.6.7 -> 2.10.2
  lang/mono-basic                 2.6.2 -> 2.10.2
  www/mod_mono                    2.6.3 -> 2.10
  www/xsp                         2.6.5 -> 2.10.2
  x11-toolkits/libgdiplus         2.6.7 -> 2.10
  
  Other updates
  -------------
  deskutils/tomboy                1.4.2 -> 1.6.1
  devel/mono-addins               0.5 -> 0.6.1
  devel/monodevelop               2.4 -> 2.4.2
  graphics/f-spot                 0.8.0 -> 0.8.2
  print/pdfmod                    0.9.0 -> 0.9.1
  x11-toolkits/gnome-sharp20      2.24.1 -> 2.24.2
  
  Ports marked BROKEN
  -------------------
  multimedia/banshee
  multimedia/moonlight
  
  PR:             ports/155948
  Submitted by:   me
  
  Revision  Changes    Path
  1.5       +1 -0      ports/databases/db4o-mono/pkg-plist
  1.49      +1 -4      ports/deskutils/tomboy/Makefile
  1.20      +2 -2      ports/deskutils/tomboy/distinfo
  1.24      +43 -1     ports/deskutils/tomboy/pkg-plist
  1.2       +4 -3      ports/devel/flickrnet/Makefile
  1.2       +0 -1      ports/devel/flickrnet/distinfo
  1.2       +0 -2      ports/devel/google-gdata/distinfo
  1.4       +5 -2      ports/devel/hyena/Makefile
  1.3       +0 -1      ports/devel/hyena/distinfo
  1.2       +0 -15     ports/devel/hyena/files/patch-configure.ac (dead)
  1.2       +0 -1      ports/devel/log4net/distinfo
  1.12      +2 -3      ports/devel/mono-addins/Makefile
  1.5       +2 -3      ports/devel/mono-addins/distinfo
  1.6       +35 -17    ports/devel/mono-addins/pkg-plist
  1.23      +6 -7      ports/devel/mono-tools/Makefile
  1.12      +2 -3      ports/devel/mono-tools/distinfo
  1.12      +22 -3     ports/devel/mono-tools/pkg-plist
  1.9       +2 -0      ports/devel/monodevelop-boo/Makefile
  1.4       +0 -1      ports/devel/monodevelop-boo/distinfo
  1.4       +0 -1      ports/devel/monodevelop-database/distinfo
  1.4       +0 -1      ports/devel/monodevelop-java/distinfo
  1.4       +0 -1      ports/devel/monodevelop-vala/distinfo
  1.10      +1 -1      ports/devel/monodevelop/Makefile
  1.4       +2 -3      ports/devel/monodevelop/distinfo
  1.4       +1 -0      ports/devel/monodevelop/pkg-plist
  1.2       +0 -1      ports/devel/nini/distinfo
  1.47      +1 -2      ports/graphics/f-spot/Makefile
  1.18      +2 -3      ports/graphics/f-spot/distinfo
  1.1       +14 -0     ports/graphics/f-spot/files/patch-src_Clients_MainApp_FSpot.Loaders_GdkImageLoader.cs (new)
  1.21      +83 -2     ports/graphics/f-spot/pkg-plist
  1.4       +2 -0      ports/irc/smuxi/Makefile
  1.5       +3 -5      ports/lang/boo/Makefile
  1.3       +2 -3      ports/lang/boo/distinfo
  1.2       +0 -150    ports/lang/boo/files/patch-aa (dead)
  1.2       +11 -10    ports/lang/boo/files/patch-default.build
  1.3       +29 -27    ports/lang/boo/pkg-plist
  1.6       +1 -1      ports/lang/mono-basic/Makefile
  1.4       +2 -3      ports/lang/mono-basic/distinfo
  1.1       +14 -0     ports/lang/mono-basic/files/patch-vbnc_vbnc_Makefile (new)
  1.1       +11 -0     ports/lang/mono-basic/files/patch-vbnc_vbnc_setversion.sh (new)
  1.2       +0 -14     ports/lang/mono-basic/files/patch-vbruntime_Test_Makefile (dead)
  1.2       +24 -4     ports/lang/mono-basic/pkg-plist
  1.98      +11 -30    ports/lang/mono/Makefile
  1.40      +2 -3      ports/lang/mono/distinfo
  1.2       +0 -17     ports/lang/mono/files/patch-libgc_pthread__support.c (dead)
  1.1       +23 -0     ports/lang/mono/files/patch-mono_metadata_sgen-gc.c (new)
  1.2       +0 -25     ports/lang/mono/files/patch-mono_utils_mono-sigcontext.h (dead)
  1.38      +683 -968  ports/lang/mono/pkg-plist
  1.10      +3 -7      ports/mail/gmime24/Makefile
  1.8       +2 -3      ports/mail/gmime24/distinfo
  1.3       +47 -47    ports/mail/gmime24/pkg-plist
  1.9       +8 -0      ports/misc/cdcollect/Makefile
  1.1       +19 -0     ports/misc/cdcollect/files/patch-src_DBsql.cs (new)
  1.26      +36 -17    ports/multimedia/banshee/Makefile
  1.12      +2 -3      ports/multimedia/banshee/distinfo
  1.2       +0 -13     ports/multimedia/banshee/files/patch-libbanshee_banshee-player-pipeline.c (dead)
  1.2       +0 -17     ports/multimedia/banshee/files/patch-src_Extensions_Banshee.YouTube_Banshee.YouTube.Gui_YouTubeTile.cs (dead)
  1.2       +12 -9     ports/multimedia/banshee/files/patch-src_Libraries_MusicBrainz_MusicBrainz_LocalDisc.cs
  1.14      +610 -338  ports/multimedia/banshee/pkg-plist
  1.23      +2 -0      ports/multimedia/moonlight/Makefile
  1.5       +0 -3      ports/multimedia/moonlight/distinfo
  1.3       +2 -3      ports/print/pdfmod/Makefile
  1.2       +2 -3      ports/print/pdfmod/distinfo
  1.1       +11 -0     ports/print/pdfmod/files/patch-lib_poppler-sharp_poppler-sharp_poppler-sharp.dll.config (new)
  1.1       +14 -0     ports/print/pdfmod/files/patch-src_PdfMod_Gui_DocumentIconView.cs (new)
  1.3       +6 -1      ports/print/pdfmod/pkg-plist
  1.2       +0 -1      ports/security/gnome-keyring-sharp/distinfo
  1.12      +1 -1      ports/www/mod_mono/Makefile
  1.6       +2 -2      ports/www/mod_mono/distinfo
  1.8       +1 -1      ports/www/xsp/Makefile
  1.7       +2 -2      ports/www/xsp/distinfo
  1.4       +37 -47    ports/www/xsp/pkg-plist
  1.3       +0 -1      ports/x11-toolkits/gnome-desktop-sharp20/distinfo
  1.17      +1 -3      ports/x11-toolkits/gnome-sharp20/Makefile
  1.4       +2 -3      ports/x11-toolkits/gnome-sharp20/distinfo
  1.27      +0 -1      ports/x11-toolkits/gtk-sharp20/distinfo
  1.4       +0 -1      ports/x11-toolkits/gtksourceview-sharp/distinfo
  1.26      +1 -1      ports/x11-toolkits/libgdiplus/Makefile
  1.11      +2 -3      ports/x11-toolkits/libgdiplus/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 20 Romain Tartière freebsd_committer 2011-06-12 20:13:29 UTC
State Changed
From-To: open->closed

Committed. Thanks!